Fedora 24 : libdb (2017-014d67fa9d)

2017-07-13T00:00:00
ID FEDORA_2017-014D67FA9D.NASL
Type nessus
Reporter This script is Copyright (C) 2017-2019 and is owned by Tenable, Inc. or an Affiliate thereof.
Modified 2020-04-02T00:00:00

Description

Security fix for DB_CONFIG parsing when db_home is not set.

This update also introduces modified fixes for rhbz#1394862 once again and additionally fixes ppc specific hangs described in rhbz#1460003.

Please be aware that this update is expected to cause DB_VERSION_MISMATCH errors during installation if you are still running an older release of libdb. These errors are a result of packages calling rpm commands during installation and have so far been found harmless.

You can also run into issues with dnf plugins that do the same. As these plugins are run after the rpm transaction has already gone through successfully they should also be harmless. However, in this case a rebuild of rpmdb

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and package checks in this plugin were  
# extracted from Fedora Security Advisory FEDORA-2017-014d67fa9d.
#

include("compat.inc");

if (description)
{
  script_id(101495);
  script_version("3.2");
  script_cvs_date("Date: 2019/09/24 14:09:05");

  script_xref(name:"FEDORA", value:"2017-014d67fa9d");

  script_name(english:"Fedora 24 : libdb (2017-014d67fa9d)");
  script_summary(english:"Checks rpm output for the updated package.");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote Fedora host is missing a security update."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"Security fix for DB_CONFIG parsing when db_home is not set.

This update also introduces modified fixes for rhbz#1394862 once again
and additionally fixes ppc specific hangs described in rhbz#1460003.

Please be aware that this update is expected to cause
**DB_VERSION_MISMATCH** errors during installation if you are still
running an older release of libdb. These errors are a result of
packages calling rpm commands during installation and have so far been
found harmless.

You can also run into issues with dnf plugins that do the same. As
these plugins are run after the rpm transaction has already gone
through successfully they should also be harmless. However, in this
case a rebuild of rpmdb's environment will be needed. Detailed
information on how to achieve this can be found in the links below.

For more information please take a look at :

https://fedoraproject.org/wiki/Common_F26_bugs#upgrade-libdb
https://fedoraproject.org/wiki/Common_F26_bugs#libdb-rebuilddb

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as
possible without introducing additional issues."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"https://bodhi.fedoraproject.org/updates/FEDORA-2017-014d67fa9d"
  );
  script_set_attribute(attribute:"solution", value:"Update the affected libdb package.");
  script_set_attribute(attribute:"risk_factor", value:"High");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"p-cpe:/a:fedoraproject:fedora:libdb");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:fedoraproject:fedora:24");

  script_set_attribute(attribute:"vuln_publication_date", value:"2017/07/11");
  script_set_attribute(attribute:"patch_publication_date", value:"2017/07/11");
  script_set_attribute(attribute:"plugin_publication_date", value:"2017/07/13");
  script_set_attribute(attribute:"generated_plugin", value:"current");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2017-2019 and is owned by Tenable, Inc. or an Affiliate thereof.");
  script_family(english:"Fedora Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/RedHat/release", "Host/RedHat/rpm-list");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("rpm.inc");


if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
release = get_kb_item("Host/RedHat/release");
if (isnull(release) || "Fedora" >!< release) audit(AUDIT_OS_NOT, "Fedora");
os_ver = pregmatch(pattern: "Fedora.*release ([0-9]+)", string:release);
if (isnull(os_ver)) audit(AUDIT_UNKNOWN_APP_VER, "Fedora");
os_ver = os_ver[1];
if (! preg(pattern:"^24([^0-9]|$)", string:os_ver)) audit(AUDIT_OS_NOT, "Fedora 24", "Fedora " + os_ver);

if (!get_kb_item("Host/RedHat/rpm-list")) audit(AUDIT_PACKAGE_LIST_MISSING);


cpu = get_kb_item("Host/cpu");
if (isnull(cpu)) audit(AUDIT_UNKNOWN_ARCH);
if ("x86_64" >!< cpu && cpu !~ "^i[3-6]86$") audit(AUDIT_LOCAL_CHECKS_NOT_IMPLEMENTED, "Fedora", cpu);


flag = 0;
if (rpm_check(release:"FC24", reference:"libdb-5.3.28-24.fc24")) flag++;


if (flag)
{
  security_report_v4(
    port       : 0,
    severity   : SECURITY_HOLE,
    extra      : rpm_report_get()
  );
  exit(0);
}
else
{
  tested = pkg_tests_get();
  if (tested) audit(AUDIT_PACKAGE_NOT_AFFECTED, tested);
  else audit(AUDIT_PACKAGE_NOT_INSTALLED, "libdb");
}